package com.ruoyi.system.domain.notice;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 校园安全信息评论对象 info_pinglun
 * 
 * @author boman
 * @date 2023-08-01
 */
public class InfoPinglun extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 校园安全信息评论id */
    private Long infoPingLunId;

    /** 校园安全信息id */
    @Excel(name = "校园安全信息id")
    private Long infoId;

    /** 校园安全信息父id */
    @Excel(name = "校园安全信息父id")
    private Long infoPingLunParent;

    /** 评论内容 */
    @Excel(name = "评论内容")
    private String infoPingLunContent;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 评论人id */
    @Excel(name = "评论人id")
    private Long infoPingLunUserId;

    /** 评论人名称 */
    @Excel(name = "评论人名称")
    private String infoPingLunUserName;

    /** 被评论人id */
    @Excel(name = "被评论人id")
    private Long infoPingLunQuiltUserId;

    /** 被评论人名称 */
    @Excel(name = "被评论人名称")
    private String infoPingLunQuiltUserName;

    /** 评论时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评论时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pingLunTime;

    /** 评论类型 1:评论 2:回复 */
    @Excel(name = "评论类型 1:评论 2:回复")
    private String infoPingLunType;

    /** 是否通过 N:未通过 Y:通过 */
    @Excel(name = "是否通过 N:未通过 Y:通过")
    private String infoPingLunExamine;

    /**
     * 对此评论的回复集合
     */
    private List<InfoPinglun> InfoPingLunList;

    public List<InfoPinglun> getInfoPingLunList() {
        return InfoPingLunList;
    }

    public void setInfoPingLunList(List<InfoPinglun> infoPingLunList) {
        InfoPingLunList = infoPingLunList;
    }

    @Override
    public String toString() {
        return "InfoPinglun{" +
                "infoPingLunId=" + infoPingLunId +
                ", infoId=" + infoId +
                ", infoPingLunParent=" + infoPingLunParent +
                ", infoPingLunContent='" + infoPingLunContent + '\'' +
                ", avatar='" + avatar + '\'' +
                ", infoPingLunUserId=" + infoPingLunUserId +
                ", infoPingLunUserName='" + infoPingLunUserName + '\'' +
                ", infoPingLunQuiltUserId=" + infoPingLunQuiltUserId +
                ", infoPingLunQuiltUserName='" + infoPingLunQuiltUserName + '\'' +
                ", pingLunTime=" + pingLunTime +
                ", infoPingLunType='" + infoPingLunType + '\'' +
                ", infoPingLunExamine='" + infoPingLunExamine + '\'' +
                '}';
    }

    public Long getInfoPingLunId() {
        return infoPingLunId;
    }

    public void setInfoPingLunId(Long infoPingLunId) {
        this.infoPingLunId = infoPingLunId;
    }

    public Long getInfoId() {
        return infoId;
    }

    public void setInfoId(Long infoId) {
        this.infoId = infoId;
    }

    public Long getInfoPingLunParent() {
        return infoPingLunParent;
    }

    public void setInfoPingLunParent(Long infoPingLunParent) {
        this.infoPingLunParent = infoPingLunParent;
    }

    public String getInfoPingLunContent() {
        return infoPingLunContent;
    }

    public void setInfoPingLunContent(String infoPingLunContent) {
        this.infoPingLunContent = infoPingLunContent;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getInfoPingLunUserId() {
        return infoPingLunUserId;
    }

    public void setInfoPingLunUserId(Long infoPingLunUserId) {
        this.infoPingLunUserId = infoPingLunUserId;
    }

    public String getInfoPingLunUserName() {
        return infoPingLunUserName;
    }

    public void setInfoPingLunUserName(String infoPingLunUserName) {
        this.infoPingLunUserName = infoPingLunUserName;
    }

    public Long getInfoPingLunQuiltUserId() {
        return infoPingLunQuiltUserId;
    }

    public void setInfoPingLunQuiltUserId(Long infoPingLunQuiltUserId) {
        this.infoPingLunQuiltUserId = infoPingLunQuiltUserId;
    }

    public String getInfoPingLunQuiltUserName() {
        return infoPingLunQuiltUserName;
    }

    public void setInfoPingLunQuiltUserName(String infoPingLunQuiltUserName) {
        this.infoPingLunQuiltUserName = infoPingLunQuiltUserName;
    }

    public Date getPingLunTime() {
        return pingLunTime;
    }

    public void setPingLunTime(Date pingLunTime) {
        this.pingLunTime = pingLunTime;
    }

    public String getInfoPingLunType() {
        return infoPingLunType;
    }

    public void setInfoPingLunType(String infoPingLunType) {
        this.infoPingLunType = infoPingLunType;
    }

    public String getInfoPingLunExamine() {
        return infoPingLunExamine;
    }

    public void setInfoPingLunExamine(String infoPingLunExamine) {
        this.infoPingLunExamine = infoPingLunExamine;
    }
}
